function onBegin()
     disableRetry ()
     disableMovement()
     wait(1)
     setFlag("Dejection_Blackout", true)
     setFlag("hard", false)
     wait(3)
     setFlag("text1", true)
     wait(3)
     setFlag("text1", false)
     wait(1)
     setFlag("text2", true)
     wait(3)
     setFlag("text2", false)
     wait(1)
     setFlag("text3", true)
     wait(3)
     setFlag("text3", false)
     wait(2)
     setFlag("text4", true)
     wait(3)
     setFlag("text4", false)
     wait(1.5)
     setFlag("dejectionteleport", true)
end
function onEnd(room, wasSkipped)
    if wasSkipped then
     setFlag("dejectionteleport", true)
     disableRetry ()
     disableMovement()
    end
end

